Package org.springframework.context.annotation

# Annotation Interface PropertySources

@Target(TYPE) @Retention(RUNTIME) @Documented public @interface PropertySources
Container annotation that aggregates several `PropertySource` annotations.

Can be used natively, declaring several nested `PropertySource` annotations. Can also be used in conjunction with Java 8's support for repeatable annotations, where `PropertySource` can simply be declared several times on the same type, implicitly generating this container annotation.

Since:
  4.0
Author:
  Phillip Webb
See Also:
  - `PropertySource`

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`PropertySource[]`
`value`

## Element Details

### value

PropertySource[] value